     /*   DEFINES USED IN HERCULES FUNCTIONS   */

#define H_MEMLOC 0xB0000000 /* Hercules memory location           */
     /* the formula to convert a pixel position to a Hercules
        memory byte location                            */
#define H_FORMULA (x1>>3)+((y1>>2)*90)+((y1 & 3)*8192)+h_apage*0x8000
#define MODEPORT 0x3B8     /* the Hercules ports                  */
#define ADDRPORT 0x3B4
#define DATAPORT 0x3B5
#define H_PSET   0         /* one of several put modes            */

   /*   EXTERNAL VARIABLES USED IN HERCULES FUNCTIONS   */

int    h_xpos=0;           /* the current graphics cursor position */
int    h_ypos=0;
int    h_xmin=0;           /* the limits of the current window     */
int    h_xmax=719;
int    h_ymin=0;
int    h_ymax=347;
int    h_vpage=0;          /* the current visible page             */
int    h_apage=0;          /* the current active page              */
int    h_pmode=H_PSET;     /* the current put mode                 */
int    h_color=1;          /* the current drawing color            */
int    h_vmode=7;          /* the current video mode               */
int    h_start=0;          /* a backstop for text                  */
char far *h_p;             /* a pointer to to Hercules memory      */

      /*     HERCULES PROTOTYPES  */

int     h_isherc(void);
int     h_init(int mode);
int     h_setvpage(int page);
void    h_onoff(int on);

